// Place your settings in this file to overwrite default and user settings.
{
	"files.exclude": {
		"**/tsconfig.tsbuildinfo"	: true,
		".git/"	: true,
		"**/out/"	: true,
		"**/dist/"	: true,
		"**/build/"	: true,
		"**/node_modules/"	: true,
		"**/venv/"	: true,
	},
	"search.exclude": {
		"**/tsconfig.tsbuildinfo"	: true,
		".git/"	: true,
		"**/out/"	: true,
		"**/dist/"	: true,
		"**/build/"	: true,
		"**/node_modules/"	: true,
		"**/venv/"	: true,
	},
	"typescript.tsc.autoDetect"	: "off", // Turn off tsc task auto detection since we have the necessary tasks as npm scripts
	"editor.insertSpaces"	: false,
	"editor.detectIndentation"	: false,
	"elasticTabstops.spacing.pad"	: 1,
}
